#ifndef H_FWMUTILS
#define H_FWMUTILS

#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include <locale.h>
#include <stdarg.h>
#include <signal.h>
#include <string.h>
#include <ctype.h>
#include <unistd.h>
//#include <sys/types.h>
#include <sys/wait.h>

static inline void die(const char *errstr, ...) {
  va_list ap;
  va_start(ap, errstr);
  vfprintf(stderr, errstr, ap);
  va_end(ap);
  exit(EXIT_FAILURE);
}

static inline void say(const char *errstr, ...) {
  va_list ap;
  va_start(ap, errstr);
  vfprintf(stderr, errstr, ap);
  va_end(ap);
}


#endif
